% Convert enrichment-ratio to genetic relative risk
% 
% Input: 
% ER - enrichment over population for carriers for each locus
% MAF - Minor Allele Frequency in population
% mu - disease prevalence (actually not used!)
% 
% Output: 
% GRR - disease relative risk for each locus
% 
function GRR = enrichment_over_pop_to_genetic_relative_risk(ER, MAF, mu)

GRR = ER .* (1-MAF) ./ (1-ER.*MAF); 


