% Convert genetic relative risk to enrichment-ratio
% 
% Input: 
% GRR - disease relative risk for each locus
% MAF - Minor Allele Frequency in population
% mu - disease prevalence (actually not used!)
% 
% Output: 
% ER - enrichment over population for carriers for each locus
% 
function ER = genetic_relative_risk_to_enrichment_over_pop(GRR, MAF, mu)

ER = GRR ./ (1-MAF + MAF.*GRR); 



